<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link rel="stylesheet"  href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css">
</head>
<body>
<div class="container">

    <div class="row">
        <h2>Ajout d'un nouveau patient</h2>
    </div>

    <div class="row">
        <form action="#" th:action="@{/patient/validate/create}" th:object="${patient}" method="post" class="form-horizontal" style="width: 100%">
            <div class="form-group">
                <label for="firstName" class="col-sm-2 control-label">Prénom</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{firstName}" id="firstName" placeholder="Prénom" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="lastName" class="col-sm-2 control-label">Nom</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{lastName}" id="lastName" placeholder="Nom" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="birthday" class="col-sm-2 control-label">Date de naissance</label>
                <div class="col-sm-10">
                    <input type="date" th:field="*{birthday}" id="birthday" placeholder="Date de naissance" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('birthday')}" th:errors="*{birthday}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="gender" class="col-sm-2 control-label">Genre</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{gender}" id="gender" placeholder="Genre" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('gender')}" th:errors="*{gender}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="postaleAddress" class="col-sm-2 control-label">Adresse</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{postaleAddress}" id="postaleAddress" placeholder="Adresse" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('postaleAddress')}" th:errors="*{postaleAddress}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="phoneNumber" class="col-sm-2 control-label">Numéro</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{phoneNumber}" id="phoneNumber" placeholder="Numéro" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('phoneNumber')}" th:errors="*{phoneNumber}"></p>
                </div>
            </div>

            <div class="form-group">
                <div class="col-sm-12">
                    <a class="btn btn-danger btn-sm" href="/patient/list">Cancel</a>
                    <input class="btn btn-primary btn-sm" type="submit" value="Ajout du patient">
                </div>
            </div>
        </form>
    </div>

</div>
</body>
</html>